Page MenuHomePhabricator

elm textpath: reduces differences between actual pos and modified pos
ClosedPublic

Authored by id213sin on Dec 4 2018, 10:59 PM.

Details

Summary

In a previous patch, textpath was modified to use differences between
prev/next values to decide next position. Actually, it improved rendering
quality. But, the modified position could have a big difference from actual position.
It caused a distortion problem.
So, this patch was made for reducing that differences.
@fix

Test Plan

I'll attach some screenshots of before/after.

  1. Modify text in text_ui_textpath.c to see distortion of text. ex) "―――――――――――――――――――..."
  2. Build and install.
  3. Run "ELM_SCALE=0.8 ELM_ACCEL=gl elementary_test -to efl.ui.textpath"

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
id213sin created this revision.Dec 4 2018, 10:59 PM
id213sin requested review of this revision.Dec 4 2018, 10:59 PM
id213sin retitled this revision from elementary textpath: reduces differences between actual position to elm textpath: reduces differences between actual pos and modified pos.Dec 5 2018, 1:21 AM

Is that still a problem? What should I be looking for?

Hermet accepted this revision.Feb 24 2019, 10:16 PM

Hard to say which one is better, even hardly distinguish the differences.
But as far as I checked, as slices=maximum, the visual comes better with this patch.

This revision is now accepted and ready to land.Feb 24 2019, 10:16 PM
This revision was automatically updated to reflect the committed changes.